*
* Example 4.1 from page 87
*
* The ex41.xls file has monthly data. Because it includes a column
* with date information, RATS is able to detect that the data are
* monthly and will automatically compact it to the requested quarterly
* frequency. The default method of compaction is to take quarterly
* averages, which is what is needed here.
*
open data ex41.xls
calendar 1975 1 4
data(format=xls,org=columns) 1975:01 1995:02 gmpy fygn3 punew
*
* On the other hand, ex33.xls has quarterly data, so data on it
* just gets copied. However, the data on the file start in 1959:1,
* so the dates on the file are used to locate the range that is
* to be processed.
*
open data ex33.xls
data(format=xls,org=columns) 1975:01 1995:02 gcdan
*
* It's not entirely clear what regression was actually run to
* get the results in the text. The following deflates the two
* variables which are in dollars by the CPI. The SET instruction
* is used for most basic transformations.
*
set sr  = gcdan/punew
set ypr = gmpy/punew
*
* The interest rate would not ordinarily be "deflated" by
* dividing through. Instead, it would be converted from
* nominal to real by subtracting off the inflation rate.
* There are several reasonable ways to generate an estimate
* of the inflation rate from a price index. The following
* uses the annualized (important, since the interest rates
* are quoted per annum) log difference. In RATS, a lagged
* value is shown by series{lag}, so PUNEW{1} is one period
* before the one being calculated.
*
set rr  = fygn3-400.0*log(punew/punew{1})
linreg sr
# constant ypr rr

