*
* Example 4.3 from page 94
*
open data ex32.xls
calendar 1954 1 4
all 1995:02
data(format=xls,org=columns) 1954:01 1995:02 gc gyd
set s = gyd-gc
*
* The output for the second regression is slightly different.
* You'll notice that, because of the lag of gc, the regression
* is run over the interval starting in 1954:2. It's possible
* that the example in the text used a data set that included
* extra data before 1954 to allow that regression to be run
* over the same time interval. (Ideally, when you compare the
* fits of regressions, you'd like them to use the same range
* of entries, just in case the observations omitted in some
* happen to be particularly hard or easy to fit).
*
linreg gc
# constant gyd
linreg gc
# constant gyd gc{1}
*
* It's a good idea to do as many subsidiary calculations using
* RATS, rather than a calculator. Aside from the fact that
* transferring numbers into a calculator can be a tedious and
* error-prone procedure, it can also produce imprecise results
* when you use only a few significant digits. Almost any number
* produced in the RATS output can be obtained to the full precision
* with which it was calculated. Here, we need the coefficients on
* the gyd and gc{1}. The regression coefficients are in the vector
* %beta. The first coefficient (on the constant) is %beta(1). %beta(2)
* and %beta(3) are the two of interest. The instruction DISPLAY is
* the one you will typically use to show the results of these
* types of calculations.
*
display 'Long-Run MPC' %beta(2)/(1-%beta(3))
*
linreg s
# constant gyd

