*
* Example 6.1 from page 150
*
open data ex61.xls
data(format=xls,org=columns) 1 20 obs hexp inc
*
linreg hexp
# constant inc
*
* This graphs the actual and fitted as an x-y graph. It's fairly
* clear from this that the residuals tend to be larger in
* magnitude for larger values of income.
*
prj fitted
scatter(style=dots) 2
# inc hexp
# inc fitted
*
* This does weighted least squares by the direct transformations
* described in the text
*
set yw = hexp/inc
set cw = 1.0/inc
*
linreg yw
# constant cw
*
* This uses the SPREAD option on LINREG. When you use SPREAD, you
* input the original regression variables, combined with the
* option SPREAD=series to which the residual variance is proportional.
* In this case, that will be the income variable squared.
*
linreg(spread=inc**2) hexp
# constant inc
*
* The alternative to weighted least squares is to do OLS and
* correct the estimates of the variances of the coefficients for
* possibly heteroscedasticity (as described on p. 152). This is
* done by including the option ROBUSTERRORS on the LINREG.
*
linreg(robust) hexp
# constant inc

