*
* Example 6.3 from page 156
*
open data ex61.xls
data(format=xls,org=columns) 1 20 obs hexp inc
*
* Breusch-Pagan
*
linreg hexp
# constant inc
set u = %resids
set usq = u**2/%seesq*%nobs/%ndf
linreg usq
# constant inc
*
* There are two variants on Breusch-Pagan. The original one is
* described in the text. It assumes the residuals are Normally
* distributed.
*
compute regss=%rsquared*%variance*(%nobs-1)
cdf(title='Breusch-Pagan I') chisqr .5*regss 1
*
* The second is now more commonly used. It's simpler and doesn't
* depend upon the assumption of Normality. The test statistic
* is just T x the R**2 from the auxiliary regression (and the auxiliary
* regression can be run using just the residuals**2 as the dependent variable,
* which will be (asymptotically) chi-squared with 1 degree of freedom if there is
* just one test regressor. In this case, it is also the same thing as the White
* test without the squared terms.
*
cdf(title='Breusch-Pagan II') chisqr %trsquared 1
*
set incsq = inc**2
set usq = u**2
linreg usq
# constant inc incsq
cdf(title='White Test') chisqr %trsquared 2

