*
* Example 6.4 from page 158
*
open data ex64.xls
calendar 1960
data(format=xls,org=columns) 1960:01 1985:01 date q p inc
*
set logq = log(q)
set logp = log(p)
set logy = log(inc)
*
linreg logq
# constant date logp logy
*
* This creates the series of squared residuals, and regresses
* it on 1 and time. The fitted values are computed using
* the instruction PRJ.
*
set usq = %resids**2
linreg usq
# constant date
prj fitvar
*
* Because the fitted values could be negative, the next instruction
* patches over negative and very small values with a fixed small
* positive value. (In this case, anything less than .0001, whether
* negative or positive, is set to .0001).
*
set fitvar = %max(fitvar,.0001)
*
* Run the feasible weighted least squares. Note that the results
* are different that those in the text; the (incorrect) instruction
* which produces the results in the text is given below.
*
linreg(spread=fitvar) logq
# constant date logp logy
*
* This does weighted least squares incorrectly.
*
linreg(spread=sqrt(fitvar)) logq
# constant date logp logy

