*
* Example 6.6 from page 168
*
open data ex42.xls
calendar 1959 1 12
all 1996:02
data(format=xls,org=columns) 1959:01 1996:02 fygn3 ip fm2 pw
*
* This generates period over period growth rates. Note that
* these aren't annualized.
*
set gm2 = (fm2-fm2{1})/fm2{1}
set gpw = (pw-pw{1})/pw{1}
*
* The regression is run over a specific time interval. Just
* as with the transformations, you indicate a lagged regressor
* by including the {lag} notation after the series.
*
linreg fygn3 1960:01 1995:08
# constant ip gm2 gpw{1}
graph(header='Figure 6.2 Interest rate residuals')
# %resids
*
* AR1 models are estimated with the AR1 instruction. Cochrane-Orcutt
* is requested with METHOD=CORC. (The default is a grid search procedure,
* somewhat more sophisticated than the one described on page 164, though
* we call it METHOD=HILU for Hildreth-Lu).
*
* Note that the rho value is extremely close to 1. Under those circumstances,
* a very slight change in the value of rho produced by a program (due, for
* instance to different tolerances for convergence) may produce surprisingly
* different coefficient estimates. You can see this by comparing the result
* when you feed in the rounder value of .99.
*
ar1(method=corc) fygn3 1960:2 1995:8
# constant ip gm2 gpw{1}
ar1(rho=.99) fygn3 1960:2 1995:8
# constant ip gm2 gpw{1}

