*
* Example 6.7 from page 170
*
open data ex67.xls
calendar 1947 1 4
data(format=xls,org=columns) 1947:01 1995:03 gcq gydq
*
linreg gcq 1959:1 *
# constant gydq gcq{1}
*
* After a LINREG, %rho is equal to the estimate of the
* correlation coefficient of residuals that comes from
* 1-DW/2 so that doesn't have to be calculated. The number
* of observations is %nobs and the standard errors of
* the coefficient estimates are in the vector %STDERRS. We
* need the third element of that.
*
compute hstat=%rho*sqrt(%nobs/(1-%nobs*%stderrs(3)**2))
cdf(title='Durbin H-Statistic') normal hstat
*
* An alternative to Durbin's test is an LM test which
* is done by regressing the residuals on the original
* regressors and the first lag of the residuals themselves.
* The TR**2 from this regression is used as a test statistic.
*
linreg %resids
# constant gydq gcq{1} %resids{1}
cdf(title='LM Test for AR1 errors') chisqr %trsquared 1


