*
* Example 8.3 from page 217
*
open data ex42.xls
calendar 1959 1 12
all 1996:02
data(format=xls,org=columns) 1959:01 1996:02 fygn3 ip fm2 pw
*
* This generates period over period growth rates. Note that
* these aren't annualized.
*
set gm2 = (fm2-fm2{1})/fm2{1}
set gpw = (pw-pw{1})/pw{1}
*
* AR1 is actually a non-linear estimation procedure. (The model
* is linear, but with non-linear constraints on the coefficients).
* In order to forecast an AR1 model, it's necessary to define a linear
* equation from it. That's done with the DEFINE option. This defines
* an EQUATION, which is a description of a linear relationship.
*
ar1(method=corc,define=areq) fygn3 1960:2 1995:8
# constant ip gm2 gpw{1}
uforecast(equation=areq) forecast 1995:1 1996:2
@uforeerrors(theil) fygn3 forecast
graph(key=attached,klabel=||'Actual','Forecast'||,header='Figure 8.6 Forecast of 3-month bill rate') 2
# fygn3 1994:6 1996:2
# forecast


