*
* Example 9.6 from page 256
*
open data ex96.xls
calendar(panelobs=7)
data(format=xls,org=columns) 1//1 45//7 obs cusip p rnd
*
* Note well that the rnd variable on the data set is already
* lagged five periods, so when we use the "current" value of
* it, we're actually getting data for t-5.
*
set logp = log(p)
*
linreg logp
# constant rnd
*
preg(method=between) logp
# constant rnd
preg(method=fixed) logp
# rnd
*
* There are a number of ways to estimate the variances
* of the components, and the results can be quite different.
* RATS starts by estimating a fixed effects model. An
* alternative is to start with an OLS estimate. If the
* individual effects are quite strong, the two methods might
* produce coefficient estimates which are dissimilar, leading
* to different estimates of the variances.
*
preg(method=random) logp
# constant rnd
*
* You can reproduce the results shown by feeding in the
* values for the component variances.
*
preg(method=random,vindiv=.504,vrandom=.134) logp
# constant rnd

