*
* Example 15.1 from page 473
*
open data ex151.xls
calendar 1986 1 12
data(format=xls,org=columns) 1986:01 1995:12 rt531r
*
set sales = rt531r
set lsales = log(sales)
set trend * 1996:1 = t-1
*
linreg sales
# constant trend
uforecast linear 1986:1 1996:1
*
* For the models using only the time trend as an independent
* variable, the forecasts are the same regardless of the starting
* point. Note that the calculation shown in the book is incorrect,
* as it uses t=119, when it should be using t=120.
*
linreg lsales
# constant trend
uforecast loglin 1986:1 1996:1
set loglin 1986:1 1996:1 = exp(loglin)
*
* With the dynamic models, however, the forecasts change
* based upon the starting point. To generate the graphs,
* we'll do forecasts starting at the start of sample
* through the end of the estimation range and a separate
* instruction for the 1996:1 period
*
linreg sales
# constant sales{1}
uforecast linauto 1986:2 1995:12
uforecast linauto 1996:1 1996:1
linreg lsales
# constant lsales{1}
uforecast logauto 1986:2 1995:12
uforecast logauto 1996:1 1996:1
set logauto 1986:2 1996:1 = exp(logauto)
*
disp 'Forecasts for 1996:1'
disp 'Linear' @25 linear(1996:1)
disp 'Log Linear' @25 loglin(1996:1)
disp 'Autoregressive' @25 linauto(1996:1)
disp 'Log Autoregressive' @25 logauto(1996:1)
*
* Graph the simulations just over the sample
*
smpl 1986:2 1995:12
graph(header='Figure 15.6(a) Simulated and Actual Sales',key=upleft) 3
# sales
# linear
# loglin
*
graph(header='Figure 15.6(b) Simulated and Actual Sales',key=upleft) 3
# sales
# linauto
# logauto


