*
* Example 15.2, page 481
*
open data ex152.xls
calendar 1986 1 12
data(format=xls,org=columns) 1986:01 1995:10 hs6fr
*
* The simple moving average is done with the instruction FILTER.
* In this case, use type=flat with span=width of the filter.
*
filter(type=flat,span=3) hs6fr / flat3
filter(type=flat,span=7) hs6fr / flat7
*
graph(header='Figure 15.8 Smoothing Using Moving Averages') 3
# hs6fr 1990:1 1995:12
# flat3 1990:1 1995:12
# flat7 1990:1 1995:12
*
* This regresses on constant and trend and divides the
* series into the removed trend and the residuals. The
* residuals are smoothed, then the trend added back.
*
set trend = t
linreg hs6fr
# constant trend
prj removed
set u = %resids
*
* Exponential smoothing is done using the instruction ESMOOTH.
* Note that the graph in the text is showing one-step-ahead forecast
* values, not smoothed ones, which is why the smoothed values seem to
* be always a month behind.
*
esmooth(alpha=.8,smoothed=eslight) u
set eslight = eslight+removed
esmooth(alpha=.2,smoothed=esheavy) u
set esheavy = esheavy+removed
*
graph(header='Figure 15.9 Smoothing Using Exponentially Weighted Moving Averages') 3
# hs6fr 1990:1 1995:12
# eslight 1990:1 1995:12
# esheavy 1990:1 1995:12



