*
* Example 15.3 from page 484
*
open data ex152.xls
calendar 1986 1 12
data(format=xls,org=columns) 1986:01 1995:10 hs6fr
*
* There are a couple of errors in the text in the description of
* the technique used. First, the 12 period moving average which
* is typically used in seasonal adjustment procedure is a "centered"
* 12 term average. This is done by giving 1/2 weight to t+6 and t-6
* entries and equal weight to everything in between. If you use
* filter with type=flat and span=12, RATS will do just this type
* of filter.
*
filter(type=flat,span=12) hs6fr / flat12
set z = hs6fr/flat12
*
* The initial estimates of the seasonal indices can be computed
* by regressing on a full set of seasonals. The RATS instruction
* SEASONAL generates a seasonal dummy for the last period of the
* year (December in this case). By taking leads 0 to 11 (shown as
* seasons{0 to -11}, you get seasonal for each month. January is
* seasons{-11}, which will be listed first in the regression order.
*
seasonal seasons
linreg z
# seasons{0 to -11}
*
* The second error is that the seasonal factors aren't rescaled to
* sum to 1; they're set to multiply to one. (This is a procedure
* which can't be used with data which isn't strictly positive).
* The scale factor is most easily done with RATS using the %beta
* vector (the regression coefficients) and several matrix functions.
* scale will be the geometric mean of the elements of %beta, that
* is the exponential of the average of logged elements.
*
compute scale=exp(%avg(%log(%beta)))
set factors 1 12 = %beta(t)/scale
set adjusted = hs6fr/factors(%period(t))
graph(header='Figure 15.11 Seasonal adjustments of housing starts data',$
 key=attached,klabel=||'Original Series','Seasonally Adjusted'||) 2
# hs6fr 1990:1 1995:12
# adjusted 1990:1 1995:12


