*
* Example 16.4 from page 510
*
open data ex164.xls
calendar 1870
data(format=xls,org=columns) 1870:01 1987:01 date oil copper lumber
*
graph(header='Figure 16.18 Price of oil (in 1967 constant dollars)',min=0.0)
# oil
*
set trend   = t
set doil    = oil-oil{1}
set dcopper = copper-copper{1}
set dlumber = lumber-lumber{1}
*
* The regressions should match except for an inconsequential difference
* in the intercept due to a shifted value for the time trend. (The standard
* instruction for defining a time trend in RATS has the trend with a value
* of 1 at the first entry.)
*
* Generally unit root tests are done in RATS using a procedure. The most
* common of these is DFUNIT, which does a variety of versions of the Dickey-Fuller
* test. There are other procedures for different UR tests such as the Phillips-
* Perron (PPUNIT) and Elliot, Rothenberg and Stock (ERSTEST).
*
linreg dcopper
# constant trend copper{1} dcopper{1}
exclude
# trend copper{1}
linreg dcopper
# constant dcopper{1}
*
linreg dlumber
# constant trend lumber{1} dlumber{1}
exclude
# trend lumber{1}
linreg dlumber
# constant dlumber{1}
*
linreg doil
# constant trend oil{1} doil{1}
exclude
# trend oil{1}
linreg doil
# constant doil{1}


