*
* Example 16.5 from page 515
*
open data ex165.xls
calendar 1960 1 4
data(format=xls,org=columns) 1960:01 1995:04 gcq gydq
*
* We first have to check that the series involved have
* a unit root. This checks that with a variety of choices
* for the number of lags.
*
@dfunit(lags=1) gcq
@dfunit(lags=2) gcq
@dfunit(lags=4) gcq
@dfunit(lags=1) gydq
@dfunit(lags=2) gydq
@dfunit(lags=4) gydq
*
linreg gcq / resids
# constant gydq
*
* The Engle-Granger test for cointegration involves running
* a Dickey-Fuller test on the residuals from the co-integrating
* regression. However, the critical values are different. In order to
* get the correct critical values, use the EGTEST procedure. On this,
* you list all the endogenous variables (there could be more than
* two in some applications) on the supplementary card. RATS normalizes
* the cointegrating regression by using the first of these as the
* dependent variable. You'll notice that this produces (as the first
* step) exactly the same regression as above.
*
@egtest
# gcq gydq


