*
* Example 18.1 from page 556
*
open data ex161.xls
calendar 1959 1 12
data(format=xls,org=columns) 1959:01 1996:03 fygn3
*
* In order to do a fair comparison of the models, all the estimates
* are done starting at 1960:1, even though the models with a
* smaller number of AR's could start earlier. One thing to note
* about the summary statistics is that RATS produces an R**2 based
* upon the undifferenced series (if you estimate with a DIFFS option,
* which is done here). As a result, these are much higher than the
* ones shown in the text, which compare the residual sum of squares
* with the much lower sample variance of the differenced series.
*
* A few things to note about the estimates:
*  (a) RATS uses a different way of handling the constant than is shown
*      in the text, so estimates of that aren't really comparable. RATS
*      uses the structure y = c + B(L)/A(L) e, where c will be (approximately)
*      the mean of the y process. The method in the text uses the equivalent
*      A(L)y = c' + B(L)e.
*  (b) The lagged residuals needed in any model with moving average terms
*      aren't observable, and have to be generated for each set of parameters.
*      And, in particular, those that are "pre-sample" can't be computed at
*      all. Different programs have different ways of handling this, producing
*      different results. For well-specified models, the differences are usually
*      quite small. These models generally are not good choices - there are too
*      many redundant parameters. As a result, there are many very different
*      looking sets of coefficients which will produce almost identical fits.
*      Which of these a program ends up finding depends upon the choices the
*      programmer made.
*  (c) Several of these models seem to be quite hard to fit. Thus, we need to
*      increase the number of iterations. It wasn't necessary for all of them,
*      but we put them on just the same.
*
smpl 1960:1 *
boxjenk(diffs=1,ar=2,ma=2,constant,iters=100) fygn3
boxjenk(diffs=1,ar=4,ma=4,constant,iters=100) fygn3
boxjenk(diffs=1,ar=8,ma=2,constant,iters=100) fygn3
boxjenk(diffs=1,ar=8,ma=4,constant,iters=100) fygn3
boxjenk(diffs=1,ar=8,ma=6,constant,iters=100) fygn3
*
* As an alternative, we would suggest a much smaller model using non-consecutive
* lags. In this case, no AR terms, and MA's on lags 1,6,7 and 9 only. This fits
* quite a bit better than, for instance, the ARIMA(4,1,4) with half the parameters.
*
boxjenk(diffs=1,ar=0,ma=||1,6,7,9||,constant,iters=100) fygn3


