*
* Example from section 19.6, pp 596-600
*
open data ex42.xls
calendar 1959 1 12
all 1996:02
data(format=xls,org=columns) 1959:01 1996:02 fygn3 ip fm2 pw
*
* This generates period over period growth rates. Note that
* these aren't annualized.
*
set gm2 = (fm2-fm2{1})/fm2{1}
set gpw = (pw-pw{1})/pw{1}
*
* The regression is run over a specific time interval. Just
* as with the transformations, you indicate a lagged regressor
* by including the {lag} notation after the series.
*
linreg fygn3 1960:01 1995:08
# constant ip gm2 gpw{1}
*
graph(header='Figure 19.19 Residuals from Three-Month Treasury Bill Rate')
# %resids
set u = %resids
@bjident(diffs=1,number=40) u
*
* Estimate an ARIMA model on the residuals
*
boxjenk(ar=8,ma=2,constant) u
*
* Combine the regression with the "noise model". This is done using
* BOXJENK with the REGRESSORS option. Note that we include the
* entire set of regressors, including the constant, in the list on
* the supplementary card. Again, in order to forecast this, we need
* to create an equation, and save the residuals.
*
boxjenk(regressors,ar=8,ma=2,iters=200,define=armax) fygn3 1960:1 1995:8 resids
# constant ip gm2 gpw{1}
*
uforecast(equation=armax) fore14 1995:1 1996:2
uforecast(equation=armax) fore06 1995:9 1996:2
graph(header='Figure 19.23 Combined regression-time series model: 14 month forecast',$
  key=attached,klabels=||'Actual','Forecast'||) 2
# fygn3 1994:7 *
# fore14
graph(header='Figure 19.24 Combined regression-time series model: 6 month forecast',$
  key=attached,klabels=||'Actual','Forecast'||) 2
# fygn3 1995:1 *
# fore06


